/***********************************************************************************************************************
 * @package		Learning
 * @author		Zahirul Hasan<info@zbabu.com>
 * @copyright	Copyright (c) 2011 - 2019 @ Zahirul Hasan (http://zbabu.com) All rights reserved.
 * @license		http://zbabu.com/license-agreement
 **********************************************************************************************************************/

.loader {
    position: absolute;
    width: 100%;
    height: 100%;
    background: #c0c0c0;
    left: 0;
    top: 0;
    .loader-container {
        width: 100%;
        height:100%;
        max-width: 100px;
        max-height: 100px;
        left: 50%;
        top: 50%;
        position: absolute;
        .spin {
            position: absolute;
            box-sizing: border-box;
            width: 100%;
            height: 100%;
            border-radius: 50%;
        }

        .spin.one {
            animation: spin1 0.5s linear infinite;
            border-bottom: 5px solid #000000;
        }

        .spin.two {
            animation: spin2 0.5s linear infinite;
            border-right: 5px solid #333333;
        }

        .spin.three {
            animation: spin3 0.5s linear infinite;
            border-top: 5px solid #606060;
        }
    }
}
@keyframes spin1 {
    0% {
        transform: rotateX(35deg) rotateY(-45deg) rotateZ(0deg);
    }
    100% {
        transform: rotateX(35deg) rotateY(-45deg) rotateZ(360deg);
    }
}

@keyframes spin2 {
    0% {
        transform: rotateX(50deg) rotateY(10deg) rotateZ(0deg);
    }
    100% {
        transform: rotateX(50deg) rotateY(10deg) rotateZ(360deg);
    }
}

@keyframes spin3 {
    0% {
        transform: rotateX(35deg) rotateY(55deg) rotateZ(0deg);
    }
    100% {
        transform: rotateX(35deg) rotateY(55deg) rotateZ(360deg);
    }
}